OpenMesh: OpenMesh::SmartEdgeHandle Struct Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::SmartEdgeHandle Struct Reference
Inheritance diagram for OpenMesh::SmartEdgeHandle:
[legend]
Collaboration diagram for OpenMesh::SmartEdgeHandle:
[legend]

## Public Member Functions
| SmartEdgeHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | halfedge (unsigned int _i) const
| Returns one of the two halfedges of the edge.
SmartHalfedgeHandle | h (unsigned int _i) const
| Shorthand for halfedge()
SmartHalfedgeHandle | h0 () const
| Shorthand for halfedge(0)
SmartHalfedgeHandle | h1 () const
| Shorthand for halfedge(1)
SmartVertexHandle | vertex (unsigned int _i) const
| Returns one of the two incident vertices of the edge.
SmartVertexHandle | v (unsigned int _i) const
| Shorthand for vertex()
SmartVertexHandle | v0 () const
| Shorthand for vertex(0)
SmartVertexHandle | v1 () const
| Shorthand for vertex(1)
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::EdgeHandle
| EdgeHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)
Public Member Functions inherited from OpenMesh::SmartHandleStatusPredicates< SmartEdgeHandle >
bool | feature () const
| Returns true iff the handle is marked as feature.
bool | selected () const
| Returns true iff the handle is marked as selected.
bool | tagged () const
| Returns true iff the handle is marked as tagged.
bool | tagged2 () const
| Returns true iff the handle is marked as tagged2.
bool | locked () const
| Returns true iff the handle is marked as locked.
bool | hidden () const
| Returns true iff the handle is marked as hidden.
bool | deleted () const
| Returns true iff the handle is marked as deleted.
Public Member Functions inherited from OpenMesh::SmartHandleBoundaryPredicate< SmartEdgeHandle >
bool | is_boundary () const
| Returns true iff the handle is boundary.

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Mesh/SmartHandles.hh